{% extends 'enquetes/base.html'%}
{% load static %}

{% block titulo %}{% endblock %}

{% block conteudo %}
    {% if form.errors %}
        <p>Login e senha informados são inválidos, tente novamente!</p>
    {% endif %}

    {% if next %}
        {% if user.is_authenticated %}
            <p>Sua conta não tem autorização para acessar tal página.
            Tente realizar login com uma conta que possua tal privilégio</p>
        {% else %}
            <p>Por favor, faça login para acessar essa página.</p>
        {% endif %}
    {% endif %}

    <form method="post" action="{% url 'login' %}">
        {% csrf_token %}
        <table>
            <tr>
                <td>Login:</td>
                <td>{{ form.username }}</td>
            </tr>
            <tr>
                <td>Senha:</td>
                <td>{{ form.password }}</td>
            </tr>
        </table>
        <input type="submit" value="Efetuar Login"/>
        <input type="hidden" name="next" value="{{ next }}"/>
    </form>
    <p>Ainda não tem cadastro? <a href="{% url 'enquetes:novo_autor' %}">Clique
    aqui e faça o seu cadastro!</a></p>
{% endblock %}